%define pkg_name        IO-Statistics
%define pkg_version     0.12
%define rpm_pkg_version 0.12
%define rpm_pkg_release 1.n0i.1

Summary:       Transparently perform statistics on IO handles
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CL/CLKAO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PerlIO::via::dynamic) >= 0.10


%description
This module allows you to count IO activity on a file handle transparently.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 0.12-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.12
